#
/*
 *		M U L T I - D E V I C E   Q U E U E I N G   S Y S T E M
 *
 *
 *			      Douglas P. Kingston III
 *				Michael John Muuss
 *
 *				  Q C O N F . C
 *
 *	-----------------------------------------------------------------------
 *
 *				Revision History
 *				================
 */

/**** Please leave the following line in for reference purposes. ****/
char	Version[]	= "$Revision: @(#) MDQS V2.12$";

#include "queue.h"


char	*Qcntrldir	= "/usr/spool/mdqs/lock/home/cntrl/";
char	*Qdatadir	= "../data/";		/* Relative to Qcntrldir[] */
char	*Holdprefix	= "../hold/";		/* 	"		   */
char	*Newprefix	= "../new/";		/*	"		   */
char	*Modprefix	= "../mod/";		/*	"		   */
char	*Admprefix	= "../adm/";		/*	"		   */
char	*Tmpqdir	= "/usr/spool/mdqs/qtmp/";
char	*Qconffile	= "/usr/brl/lib/mdqs/qconf";	/* Queue configuration file */
char	*Logfile	= "/usr/brl/lib/mdqs/log";
char	*Errorfile	= "/usr/brl/lib/mdqs/errorlog";
char	*Formsfile	= "/usr/brl/lib/mdqs/forms";	/* File with valid forms */
char	*Seqfile	= "../adm/seqfile";	/* Sparse file with ints */
char	*Prodfile	= "/usr/brl/lib/mdqs/prodfile";
char	*Managerfile	= "/usr/brl/lib/mdqs/managers";
char	*Sitefile	= "/usr/brl/lib/mdqs/sitename";	/* Verbose site name (1 line)*/
char	*Queue2		= "/usr/brl/lib/mdqs/queue2";	/* Second phase process */

/*
 *		L O C K S
 *
 *  For now, all lockfiles will be given paths relative to Qcntrldir[]
 */

lock_t	Seq_lock = { -1, "../adm/seq-lock" };
lock_t	Dae_lock = { -1, "../adm/daemon-lock" };
lock_t	Dev_lock = { -1, "../adm/devstat-lock" };

lock_t	*All_locks[] = {
	&Seq_lock,
	&Dae_lock,
	&Dev_lock,
	(lock_t *)0
};

/*
 *	Limiting Values
 */
int	Cp_min	= 1;	/* Minimum number of copies */
int	Cp_max	= 10;	/* Maximum number of copies */
int	Pri_min	= 0;	/* Lowest priority */
int	Pri_max	= 127;	/* Highest priority */
